<template>
  <div class="main">
    <div class="out row2 flex">
      <div class="l">
        <ttable
          :table="table"
          @ttRowClick="ttRowClick"
          :options="options"
          :ajaxFun="ajaxFun"
          :paramObj="{
            mid: currentLabel.id
          }"
          ref="labelprintprintlogtable"
        >
          <template #toolbar></template>
        </ttable>
      </div>
      <div class="r">
        <div class="t">标签信息预览</div>
        <PreviewBox :rowInfo="rowInfo" :isLog="true" />
      </div>
    </div>
  </div>
</template>

<script>
import ttable from '@/views/common/ztt-table.vue'
import { fetchList } from '@/api/print/log'
import PreviewBox from '../PreviewBox'
export default {
  components: {
    ttable,
    PreviewBox
  },
  data() {
    const tt = (prop, label, config) => {
      const w = (label.length - 1) * 20 + 15
      return Object.assign(
        {
          minWidth: w,
          // width: w < 140 ? 140 : w,
          prop,
          label,
          sort: true,
          isTrue: true,
          isSearch: true,
          searchInfoType: 'text'
        },
        config
      )
    }
    return {
      currentLabel: {},
      ajaxFun: fetchList,
      options: {
        height: 300, // 默认高度-为了表头固定
        stripe: true, // 是否为斑马纹 table
        highlightCurrentRow: false, // 是否要高亮当前行
        border: true, // 是否有纵向边框
        lazy: false, // 是否需要懒加载
        fit: true, // 列的宽度是否自撑开
        multiSelect: false, //
        seqNo: true,
        isRefresh: true,
        isShowHide: true, // 是否显示显影按钮
        isSearch: false, // 高级查询按钮
        defaultOrderBy: { column: 'id', direction: 'desc' }
      },
      table: {
        total: 0,
        currentPage: 1,
        pageSize: 20,
        data: [],
        // 标题
        column: [
          tt('labelDesc', '标签描述'),
          tt('partBatchNo', 'SN号'),
          tt('ifsBatchNo', 'IFS批次号'),
          tt('wdr', 'wdr'),
          tt('partNo', '零件号'),
          tt('qty', '数量'),
          tt('labelSize', '标签尺寸'),
          tt('createUser', '创建人'),
          tt('createTime', '创建时间')
        ]
      },
      rowInfo: {}
    }
  },
  created() {},
  methods: {
    getData() {
      this.$refs.labelprintprintlogtable.getDataList()
    },
    ttRowClick(val) {
      this.rowInfo = val
    }
  }
}
</script>

<style lang="scss" scoped>
.main {
  padding: 20px;
  font-size: 14px;
  background: white;
}
.flex {
  display: flex;
}
.out {
  > .l {
    width: calc(100% - 335px);
  }
  > .r {
    width: 320px;
    margin-left: 15px;
  }
}
.row2 {
  > .r {
    .t {
      padding: 40px 0 20px;
      text-align: center;
    }
    .previewWrap {
      border: 1px solid #ccc;
      border-radius: 6px;
      padding: 10px 20px;
      min-height: 300px;
      > .flex {
        padding: 5px 0;
        .l {
          width: 90px;
        }
        .r {
          width: calc(100% - 90px);
        }
      }
    }
  }
}
</style>
